GET /insights/v1/tokens/price/supported
Get supported tokens for price data

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]

Responses

200 Successful response
application/json
data object[] REQUIRED
Array of:
chain_id number REQUIRED
The chain ID of a relevant entry
address string REQUIRED
symbol string
400 Bad request
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/price/supported'
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/price/supported', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//insights/v1/tokens/price/supported')print(response.json())
200 Response
{  "data": [    {      "chain_id": 1,      "address": "vitalik.eth",      "symbol": "<string>"    }  ]}
Ask a question... ⌘I